Issue 1413 remove duplicate documentation

Title remove duplicate documentation
Priority wishlist Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, kowey, thorkilnaur, twb
Assigned To

Created on 2009-04-04.08:04:15 by twb, last changed 2009-08-27.14:17:44 by admin.

msg7572 (view) Author: twb Date: 2009-04-04.08:04:05
----- Forwarded message from Thorkil Naur <naur@post11.tele.dk> -----

From: Thorkil Naur <naur@post11.tele.dk>
To: "Trent W. Buck" <trentbuck@gmail.com>
Subject: Re: [darcs-users] docs duplication
Date: Fri, 3 Apr 2009 21:18:51 +0200
Cc: darcs-users@darcs.net


On Thursday 02 April 2009 09:21, Trent W. Buck wrote:
> Simon Michael <simon@joyful.com> writes:
> > The manual's "Patch relationships" section is duplicated in Prim.lhs
> > and Commute.lhs. They diverge around Commute.lhs line 404.
> I have noticed this duplication.  I believe what happened was that there
> was one copy, and then bits of it got (for some reason) copy-and-pasted
> into various subsidiary modules of Darcs.Patch (or Darcs.Repository?).

And, as you have noted earlier 
Message-ID: <304p17jqov.fsf@Clio.twb.ath.cx>), even code is duplicated.

I suggest that you create a bug tracker issue for this.

> ...

Thanks and best regards

----- End forwarded message -----
msg7582 (view) Author: twb Date: 2009-04-06.06:23:40
This command helped me find duplication on a per-line basis.
find src \( -name \*.lhs -o -name \*.hs \) -exec cat {} + | tr -s ' ' | sort | uniq -c | sort -nr | less
For specifically the .lhs docmentation, we can skip the code lines:
find src -name \*.lhs -exec sed -s '/\\begin{code}/,/\\end{code}/d' {} + | tr -s ' ' | sort | uniq -c | sort -nr | less
msg7583 (view) Author: twb Date: 2009-04-06.07:02:53
The following message is a courtesy copy of an article
that has been posted to gmane.comp.version-control.darcs.user as well.

trentbuck@gmail.com (Trent W. Buck) writes:

> I've deleted the identical parts of Commute.  However I can see that
> there's also duplication between Core and Prim.  Which should I keep?

I answered this for myself.  

>>> I believe the manual build process is using Prim and ignoring
>>> Commute, or maybe just ignoring the duplicated section.

I don't think so.  As you can see, currently four of the seven literate
documents in Darcs.Patch are included in the user manual:

    $ grep -r '\\input.*Darcs/Patch' src

The ones that aren't are Match, Prim and Properties.  The last of those
is currently built as a separate document, patch_theory.pdf, which
everyone hates.

So for now I will attempt to rearrange literate documentation within
Darcs.Patch such that it ends up in an appendix of the user manual.
I will start by removing duplicated text from Prim rather than from
Commute and Core.
msg7591 (view) Author: twb Date: 2009-04-07.17:27:02
The following patch updated the status of issue1413 to be resolved:

* Resolve issue1413: remove duplicate documentation. 
Ignore-this: b6058a1ddf794640f5e4dfd777d5cc92
Date User Action Args
2009-04-04 08:04:15twbcreate
2009-04-06 06:23:42twbsetstatus: unread -> unknown
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
messages: + msg7582
2009-04-06 07:02:58twbsetnosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
messages: + msg7583
title: code and doc duplication -> remove duplicate documentation
2009-04-07 17:27:05twbsetstatus: unknown -> resolved
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
messages: + msg7591
2009-04-22 03:00:09twbsetpriority: wishlist
nosy: kowey, simon, twb, thorkilnaur, dmitry.kurochkin
2009-08-25 17:42:51adminsetnosy: + darcs-devel, - simon
2009-08-27 14:17:44adminsetnosy: kowey, darcs-devel, twb, thorkilnaur, dmitry.kurochkin